exportBackupToObjectStorage

Prev Next

Available in VPC

Send Cloud DB for MSSQL instance backup files to Object Storage.

Note

To send backup files to Object Storage, Object Storage buckets for storing and searching data must be created in advance. For more information, see the Object Storage Guide.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vmssql/v2/exportBackupToObjectStorage
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for MSSQL (VPC) APIs, see Cloud DB for MSSQL (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the Cloud DB for MSSQL instance whose backup file you want to send to Object Storage
  • See getRegionList
  • First Region of the getRegionList query result (default)
cloudMssqlInstanceNo String Required Cloud DB for MSSQL instance number
cloudMssqlServerInstanceNo String Required Cloud DB for MSSQL server instance number
bucketName String Required Name of the Object Storage bucket the backup file will be sent to
folderPath String Optional Object Storage bucket's folder path
cloudMssqlExportObjectList.N.fullObjectName List[String] Required List of paths to files to send to Object Stroge
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmssql/v2/exportBackupToObjectStorage
?regionCode=KR
&cloudMssqlInstanceNo=2517****
&cloudMssqlServerInstanceNo=2517****
&bucketName=bucket
&cloudMssqlExportObjectList.1.fullObjectName=Z%3A%5Ccmssql_backup%5Cuser_idx_276****%5Ccmssql_10-0-252-15_m-2517****-001%5Cmsdb_20240702_*****.full
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response status codes

For information about the HTTP status codes common to all Cloud DB for MSSQL (VPC) APIs, see Cloud DB for MSSQL (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json

    {
        "exportBackupToObjectStorageResponse": {
            "requestId": "2c5fab4b-****-****-****-8e1f96fb024a",
            "returnCode": "0",
            "returnMessage": "success"
        }
    }
    
  • If responseFormatType=xml (default)

    <?xml version="1.0" encoding="UTF-8"?>
    <exportBackupToObjectStorageResponse>
        <requestId>2c5fab4b-****-****-****-8e1f96fb024a</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
    </exportBackupToObjectStorageResponse>